using UnityEngine;

public class InterrogateCamera : MonoBehaviour
{

    [SerializeField] private GameObject roomCam;

    // Start is called once before the first execution of Update after the MonoBehaviour is created
    void Start()
    {
        roomCam.SetActive(false);
    }

    void OnTriggerEnter(Collider other)
    {
        if(other.tag == "Player")
        {
            roomCam.SetActive(true);
        }
    }

    void OnTriggerExit(Collider other)
    {
        if(other.tag == "Player")
        {
            roomCam.SetActive(false);
        }
    }
}
